import { CustomCssPropsType, ThemePropsType } from "../../constants/types/styled";
import { SizeLS } from "../../constants/types/global";
import { Variant, Corner } from './types';
export declare const Icon: import("styled-components").StyledComponent<"img", any, {
    size?: SizeLS | undefined;
}, never>;
export declare const StyledButton: import("styled-components").StyledComponent<"button", any, ThemePropsType & {
    variant?: Variant | undefined;
    size?: SizeLS | undefined;
    corner?: Corner | undefined;
    customStyle?: ({
        maxWidth?: string | undefined;
    } & CustomCssPropsType) | undefined;
} & import("../../constants/types/styled").IsDisabledPropsType & CustomCssPropsType, never>;
